[Samba] Samba v2.2.12 NTLM versions? - Samba

This is a discussion on [Samba] Samba v2.2.12 NTLM versions? - Samba ; >Isn't gcc available for your system? No, I'm 99% sure there isn't a gcc on MP-RAS. I've looked at building gcc as well, but then run into more problems with that; config.guess fails trying to run a utility that doesn't ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: [Samba] Samba v2.2.12 NTLM versions?

  1. [Samba] Samba v2.2.12 NTLM versions?

    >Isn't gcc available for your system?

    No, I'm 99% sure there isn't a gcc on MP-RAS. I've looked at
    building gcc as well, but then run into more problems with that; config.guess fails trying to run a utility that doesn't exist.

    Can you point me at the code in Samba 3 that does the ntlmv2
    encryption? Maybe I can patch this into the v2 code?

    Any other suggestions?

    Phil
    --
    To unsubscribe from this list go to the following URL and read the
    instructions: https://lists.samba.org/mailman/listinfo/samba

  2. Re: [Samba] Samba v2.2.12 NTLM versions?

    On Mon, Jul 07, 2008 at 10:01:09AM +0100, PhilH wrote:
    > Can you point me at the code in Samba 3 that does the ntlmv2
    > encryption? Maybe I can patch this into the v2 code?


    In 3.2 most of the cryto routines are in the files
    libsmb/ntlmssp.c and libsmb/smbencrypt.c.

    What is it that your compiler breaks over? Maybe it might be
    easier to fix those for your environment that pushing modern
    crypto into 2.2.

    For example the named initializers should quite easily be
    revertable for you.

    Volker

    --
    To unsubscribe from this list go to the following URL and read the
    instructions: https://lists.samba.org/mailman/listinfo/samba
    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.5 (GNU/Linux)

    iD8DBQFIceDvUzqjrWwMRl0RAvLaAJ4l9nQQtTkvW6+6/2bJ/0XNCRxjPwCfcN2G
    Luwdj03ZgAPiB2Bw9vYPOuk=
    =Nid0
    -----END PGP SIGNATURE-----


+ Reply to Thread